(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     15159,        423]
NotebookOptionsPosition[     12154,        373]
NotebookOutlinePosition[     12557,        390]
CellTagsIndexPosition[     12514,        387]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Intro to ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " - Lecture 6"
}], "Title",
 CellChangeTimes->{{3.7456593518509398`*^9, 3.745659358841568*^9}, {
  3.746172102123671*^9, 3.7461721022082644`*^9}, {3.746508557039432*^9, 
  3.7465085580487556`*^9}},ExpressionUUID->"9247b781-16bd-4282-8bca-\
1c97904f9732"],

Cell[CellGroupData[{

Cell["Dynamic", "Section",
 CellChangeTimes->{{3.746165800040594*^9, 3.746165802422797*^9}, {
  3.74616621476845*^9, 3.746166219075699*^9}, {3.7465085672582617`*^9, 
  3.746508567981718*^9}},ExpressionUUID->"0db75c6f-ba1e-416a-a2d9-\
f48539d267e6"],

Cell[TextData[{
 "Syntax: ",
 StyleBox["Dynamic",
  FontColor->RGBColor[0.5, 0, 0.5]],
 "[",
 StyleBox["expr",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0, 0]],
 "]"
}], "Text",
 CellChangeTimes->{{3.746508713597378*^9, 
  3.746508719232483*^9}},ExpressionUUID->"e0f7eb9e-79ec-4495-86c1-\
d3f294500829"],

Cell[TextData[{
 "Displays the current value ",
 StyleBox["expr",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[" as it changes. Compare",
  FontColor->GrayLevel[0]]
}], "Text",
 CellChangeTimes->{{3.746508785710104*^9, 
  3.746508889781486*^9}},ExpressionUUID->"b4850e81-bc0f-4726-a844-\
b2f0625bca26"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"x", ",", 
   RowBox[{"Dynamic", "[", "x", "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.746508900520329*^9, 3.746508908410078*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"05695f1a-7198-4d92-bd55-b8eb4a2134dc"],

Cell[BoxData[
 RowBox[{"x", "=", "3"}]], "Input",
 CellChangeTimes->{{3.746508915293579*^9, 3.7465089191068487`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"89515e1f-fee5-40d1-b7ae-d4e0e5bc4978"],

Cell[BoxData[
 RowBox[{"x", "=."}]], "Input",
 CellChangeTimes->{{3.746508926848112*^9, 3.746508927541779*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"1fc54139-770a-469f-b3ff-b62c59918351"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Monitor", "Section",
 CellChangeTimes->{{3.746165800040594*^9, 3.746165802422797*^9}, {
  3.74616621476845*^9, 3.746166219075699*^9}, {3.7465085672582617`*^9, 
  3.746508567981718*^9}, {3.746509101058339*^9, 
  3.7465091018188868`*^9}},ExpressionUUID->"cc9b135d-262e-4a7b-ada2-\
ef20ba87f058"],

Cell[TextData[{
 "Syntax: ",
 StyleBox["Monitor",
  FontColor->RGBColor[0.5, 0, 0.5]],
 "[",
 StyleBox["expr",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0, 0]],
 ", ",
 StyleBox["mon",
  IgnoreSpellCheck->True,
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0, 0]],
 "]"
}], "Text",
 CellChangeTimes->{{3.7465090215169163`*^9, 3.746509047972982*^9}, {
  3.7465091044632797`*^9, 
  3.746509144439303*^9}},ExpressionUUID->"1f666597-2dac-4920-a6e3-\
1b3e154d75f0"],

Cell[TextData[{
 "Displays the continually updated value of ",
 StyleBox["mon",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[" during the evaluation of ",
  FontColor->GrayLevel[0]],
 StyleBox["expr",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[". Good for monitoring progress of computations.",
  FontColor->GrayLevel[0]]
}], "Text",
 CellChangeTimes->{{3.7465091921046143`*^9, 3.7465092360331373`*^9}, {
  3.746509271129878*^9, 
  3.746509349304453*^9}},ExpressionUUID->"aa97d134-394b-4841-a63d-\
ac2469be0026"],

Cell["Example: ", "Text",
 CellChangeTimes->{{3.746509356606271*^9, 
  3.746509358237883*^9}},ExpressionUUID->"48fc13a5-373f-4e5f-93ac-\
8f234bc52c87"],

Cell["\<\
Say you are doing some kind of a long computation and want to monitor its \
progress.\
\>", "Text",
 CellChangeTimes->{{3.7465149749563847`*^9, 
  3.746514992475492*^9}},ExpressionUUID->"7a56cbd7-f97c-48e3-9ae0-\
1f77e7aa2725"],

Cell[BoxData[
 RowBox[{
  RowBox[{"longCalculation", "[", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "i", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"result", "=", 
      RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", 
       RowBox[{"i", "<", "100"}], ",", 
       RowBox[{"i", "=", 
        RowBox[{"i", "+", "1"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"result", "=", 
         RowBox[{"Append", "[", 
          RowBox[{"result", ",", 
           RowBox[{"i", "+", 
            RowBox[{"10", 
             RowBox[{"RandomReal", "[", "]"}]}]}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Pause", "[", "0.1", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}], ";", "\[IndentingNewLine]", "result"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.746514798310863*^9, 3.746514936671558*^9}, 
   3.7465150258034277`*^9, {3.7465151635733747`*^9, 3.746515163681664*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"d599c303-61b6-4c90-ae30-4c7f7c0b7ac4"],

Cell["You can monitor parameter values like this", "Text",
 CellChangeTimes->{{3.746514999874284*^9, 
  3.7465150178816853`*^9}},ExpressionUUID->"f2f4b21a-01b2-4927-a811-\
71445279b508"],

Cell[BoxData[
 RowBox[{"Monitor", "[", 
  RowBox[{
   RowBox[{"longCalculation", "[", "]"}], ",", "i"}], "]"}]], "Input",
 CellChangeTimes->{{3.746514938174638*^9, 3.746514957162559*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"5f08c25a-1d8c-46f5-ab53-a3c5db45433f"],

Cell["You can also monitor more complicated expressions", "Text",
 CellChangeTimes->{{3.746514999874284*^9, 
  3.74651505055485*^9}},ExpressionUUID->"7f633901-fd3f-4510-8509-\
422adc86695d"],

Cell[BoxData[
 RowBox[{"Monitor", "[", 
  RowBox[{
   RowBox[{"longCalculation", "[", "]"}], ",", 
   RowBox[{"ListLinePlot", "[", 
    RowBox[{"result", ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<iteration\>\"", ",", "\"\<value\>\""}], "}"}]}]}], 
    "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.746514938174638*^9, 3.746514957162559*^9}, {
  3.7465150560484962`*^9, 3.746515144735031*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"614a0a5b-0f6d-450f-9fc0-af3cea88d103"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Manipulate", "Section",
 CellChangeTimes->{{3.746165800040594*^9, 3.746165802422797*^9}, {
  3.74616621476845*^9, 3.746166219075699*^9}, {3.7465085672582617`*^9, 
  3.7465085931626387`*^9}},ExpressionUUID->"bc396de4-3c1a-4388-95ba-\
2c34c7081453"],

Cell[TextData[{
 "Syntax: ",
 StyleBox["Manipulate",
  FontColor->RGBColor[0.5, 0, 0.5]],
 "[",
 StyleBox["expr",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[",",
  FontSlant->"Italic",
  FontColor->GrayLevel[0]],
 StyleBox["control",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0, 0]],
 "]"
}], "Text",
 CellChangeTimes->{{3.746508713597378*^9, 3.746508719232483*^9}, {
  3.746512588636449*^9, 
  3.746512609791362*^9}},ExpressionUUID->"6faacedf-c204-4c60-bcf6-\
0902d89f64a4"],

Cell[TextData[{
 "Allows you to change parameter values of ",
 StyleBox["expr",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0, 0]],
 " and see how the output of ",
 StyleBox["expr",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0, 0]],
 " updates."
}], "Text",
 CellChangeTimes->{{3.746512700599597*^9, 
  3.746512777772604*^9}},ExpressionUUID->"07933720-b04a-449d-8c0e-\
c1187a2ecf0d"],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "5", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.746512815404769*^9, 3.7465128448433533`*^9}, {
  3.746517872811883*^9, 3.74651788589007*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"d9d20862-3b65-4608-b8f4-a1ea90874545"],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Expand", "[", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"x", "+", "1"}], ")"}], "n"], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "10", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.746512911603403*^9, 3.746512912880677*^9}, {
  3.7465131011389227`*^9, 3.746513108149713*^9}, {3.746513177515728*^9, 
  3.746513193874104*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"4b7dacfc-b69b-443a-ae5e-1aa3e730d12e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"makePlot", "[", "T_", "]"}], ":=", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"2", 
         RowBox[{"Cos", "[", "t", "]"}]}], ",", 
        RowBox[{"2", 
         RowBox[{"Sin", "[", "t", "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"2", 
         RowBox[{"Cos", "[", "t", "]"}]}], ",", 
        RowBox[{"Sin", "[", "t", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Cos", "[", "t", "]"}], ",", 
        RowBox[{"2", 
         RowBox[{"Sin", "[", "t", "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Cos", "[", "t", "]"}], ",", 
        RowBox[{"Sin", "[", "t", "]"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "T"}], "}"}], ",", 
    RowBox[{"PlotLegends", "\[Rule]", "\"\<Expressions\>\""}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2.2"}], ",", "2.2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2.2"}], ",", "2.2"}], "}"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.746513285740037*^9, 3.746513315569998*^9}, {
  3.746513347017695*^9, 3.746513363175563*^9}, {3.746513409391328*^9, 
  3.746513428079719*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"e7f21165-3ade-430d-84a8-fafa48fa1f48"],

Cell[BoxData[
 RowBox[{"m", "=", 
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"makePlot", "[", "T", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"T", ",", "0.1", ",", 
      RowBox[{"2", "\[Pi]"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.746513364818245*^9, 3.746513397329002*^9}, {
  3.746513770418812*^9, 3.746513770764029*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"eb69873e-02fa-463c-b636-9c809674b9fc"],

Cell["Animate is basically the same thing as Manipulate.", "Text",
 CellChangeTimes->{{3.746513468419923*^9, 3.746513492139271*^9}, {
  3.746513720638047*^9, 
  3.746513728527027*^9}},ExpressionUUID->"d55a0c72-7390-45cb-a358-\
2353c4cb4f38"],

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"makePlot", "[", "T", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"T", ",", "0.1", ",", 
     RowBox[{"2", "\[Pi]"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.746513364818245*^9, 3.746513397329002*^9}, {
  3.74651350815563*^9, 3.7465135094597273`*^9}, {3.746513825341659*^9, 
  3.746513825532659*^9}, {3.746513880005041*^9, 3.7465138801626263`*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"c6f2c976-5a18-454a-b645-dc462f511c03"],

Cell["These can also be exported as videos.", "Text",
 CellChangeTimes->{{3.746513608932208*^9, 3.746513635768968*^9}, {
  3.746513743176547*^9, 
  3.7465137463403*^9}},ExpressionUUID->"2265972b-2547-4018-99f3-50b5b77d19ca"],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\</wrk/teaching/mathematica/2018/anim.avi\>\"", ",", "m"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.746513641662994*^9, 3.746513658347459*^9}, {
   3.74651377848641*^9, 3.7465137788046103`*^9}, 3.746513837856041*^9, 
   3.746513891751272*^9},
 CellLabel->"In[15]:=",ExpressionUUID->"61330a81-2187-4b45-8903-9e45fa02814b"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1920, 1051},
WindowMargins->{{0, Automatic}, {0, Automatic}},
SpellingDictionaries->{"CorrectWords"->{"mon"}},
Magnification->1.5,
FrontEndVersion->"11.3 for Linux x86 (64-bit) (March 6, 2018)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 334, 9, 147, "Title",ExpressionUUID->"9247b781-16bd-4282-8bca-1c97904f9732"],
Cell[CellGroupData[{
Cell[939, 35, 248, 4, 102, "Section",ExpressionUUID->"0db75c6f-ba1e-416a-a2d9-f48539d267e6"],
Cell[1190, 41, 309, 12, 54, "Text",ExpressionUUID->"e0f7eb9e-79ec-4495-86c1-d3f294500829"],
Cell[1502, 55, 323, 10, 54, "Text",ExpressionUUID->"b4850e81-bc0f-4726-a844-b2f0625bca26"],
Cell[1828, 67, 251, 5, 47, "Input",ExpressionUUID->"05695f1a-7198-4d92-bd55-b8eb4a2134dc"],
Cell[2082, 74, 195, 3, 47, "Input",ExpressionUUID->"89515e1f-fee5-40d1-b7ae-d4e0e5bc4978"],
Cell[2280, 79, 189, 3, 47, "Input",ExpressionUUID->"1fc54139-770a-469f-b3ff-b62c59918351"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2506, 87, 299, 5, 102, "Section",ExpressionUUID->"cc9b135d-262e-4a7b-ada2-ef20ba87f058"],
Cell[2808, 94, 468, 18, 54, "Text",ExpressionUUID->"1f666597-2dac-4920-a6e3-1b3e154d75f0"],
Cell[3279, 114, 556, 16, 54, "Text",ExpressionUUID->"aa97d134-394b-4841-a63d-ac2469be0026"],
Cell[3838, 132, 151, 3, 54, "Text",ExpressionUUID->"48fc13a5-373f-4e5f-93ac-8f234bc52c87"],
Cell[3992, 137, 237, 6, 54, "Text",ExpressionUUID->"7a56cbd7-f97c-48e3-9ae0-1f77e7aa2725"],
Cell[4232, 145, 1144, 28, 286, "Input",ExpressionUUID->"d599c303-61b6-4c90-ae30-4c7f7c0b7ac4"],
Cell[5379, 175, 186, 3, 54, "Text",ExpressionUUID->"f2f4b21a-01b2-4927-a811-71445279b508"],
Cell[5568, 180, 265, 5, 47, "Input",ExpressionUUID->"5f08c25a-1d8c-46f5-ab53-a3c5db45433f"],
Cell[5836, 187, 190, 3, 54, "Text",ExpressionUUID->"7f633901-fd3f-4510-8509-422adc86695d"],
Cell[6029, 192, 741, 19, 47, "Input",ExpressionUUID->"614a0a5b-0f6d-450f-9fc0-af3cea88d103"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6807, 216, 253, 4, 102, "Section",ExpressionUUID->"bc396de4-3c1a-4388-95ba-2c34c7081453"],
Cell[7063, 222, 504, 19, 54, "Text",ExpressionUUID->"6faacedf-c204-4c60-bcf6-0902d89f64a4"],
Cell[7570, 243, 392, 13, 54, "Text",ExpressionUUID->"07933720-b04a-449d-8c0e-c1187a2ecf0d"],
Cell[7965, 258, 378, 8, 47, "Input",ExpressionUUID->"d9d20862-3b65-4608-b8f4-a1ea90874545"],
Cell[8346, 268, 514, 12, 51, "Input",ExpressionUUID->"4b7dacfc-b69b-443a-ae5e-1aa3e730d12e"],
Cell[8863, 282, 1481, 43, 82, "Input",ExpressionUUID->"e7f21165-3ade-430d-84a8-fafa48fa1f48"],
Cell[10347, 327, 430, 10, 47, "Input",ExpressionUUID->"eb69873e-02fa-463c-b636-9c809674b9fc"],
Cell[10780, 339, 241, 4, 54, "Text",ExpressionUUID->"d55a0c72-7390-45cb-a358-2353c4cb4f38"],
Cell[11024, 345, 497, 10, 47, "Input",ExpressionUUID->"c6f2c976-5a18-454a-b645-dc462f511c03"],
Cell[11524, 357, 224, 3, 54, "Text",ExpressionUUID->"2265972b-2547-4018-99f3-50b5b77d19ca"],
Cell[11751, 362, 375, 7, 47, "Input",ExpressionUUID->"61330a81-2187-4b45-8903-9e45fa02814b"]
}, Open  ]]
}, Open  ]]
}
]
*)

